package com.bwie.user.controller;

import com.bwie.user.domain.User;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.user.controller
 * @Project：bwie-g6_day10rk
 * @name：UserController
 * @Date：2024/7/29 8:47
 */
@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private UserService service;

    /**
     * 列表
     * @return
     */
    @GetMapping("findUserList")
    public List<User> findUserList(){
        return service.findUserList();
    }
    /**
     * 删除
     */
    @GetMapping("deleteUserId")
    public Integer deleteUserId(Integer userId){
        return service.deleteUserId(userId);
    }
    /**
     * 年龄降序排序，查询前12条记录
     */
    @PostMapping("findUserDesc")
    public List<User> findUserDesc(@RequestBody User user){
        return service.findUserDesc(user);
    }
}
